> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List a customer's payments



## OpenAPI

````yaml /openapi.json get /customers/{customerId}/payments
openapi: 3.0.0
info:
  title: Korint API
  description: >-
    Quoting, policy issuance, billing, claims, documents and compliance for
    insurance distribution.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.korint.io
    description: Production
  - url: https://api.sandbox.korint.io
    description: Sandbox
security:
  - oauth2: []
  - bearerAuth: []
tags: []
paths:
  /customers/{customerId}/payments:
    get:
      tags:
        - payments
      summary: List a customer's payments
      operationId: PaymentsReadsController_listCustomerPayments
      parameters:
        - name: tenant
          in: header
          required: true
          description: Your tenant identifier. Requests without it are rejected.
          schema:
            type: string
        - name: customerId
          required: true
          in: path
          description: The customer id
          schema:
            pattern: >-
              ^customer(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$
            type: string
        - name: whenAt
          required: false
          in: query
          description: 'Optional: the whenAt datetime'
          schema:
            type: string
            format: date-time
        - name: simulatedAt
          required: false
          in: query
          description: 'Optional: the simulatedAt datetime'
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCustomerPaymentsOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CustomerNotFoundErrorDto'
              examples:
                CUSTOMER_NOT_FOUND:
                  value:
                    code: CUSTOMER_NOT_FOUND
                    message: Customer {customerId} ({branchId}) not found
                    details: {}
          description: ''
components:
  schemas:
    ListCustomerPaymentsOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/PaymentDto'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    CustomerNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CUSTOMER_NOT_FOUND
        message:
          type: string
          example: Customer {customerId} ({branchId}) not found
        details:
          $ref: '#/components/schemas/CustomerNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    PaymentDto:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        type:
          type: string
        id:
          pattern: >-
            ^payment(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$
          type: string
          description: the id of the payment
        status:
          type: string
          description: the status of the payment
          enum:
            - CREATED
            - SUCCESSFUL
            - FAILED
            - CANCELLED
            - DISPUTED
        paymentMode:
          type: string
          description: the payment mode
          enum:
            - DIRECT_DEBIT
            - BANK_TRANSFER
        paymentMethodId:
          pattern: >-
            ^payment_method(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$
          type: string
          description: the id of the payment
        amountInEuroCents:
          type: number
          description: the amount to charge in cents of euro
        refundableAmount:
          type: number
          description: the refundable amount in cents of euro
        amountRefunded:
          type: number
          description: the refunded amount in cents of euro
        amountToRefund:
          type: number
          description: the amount waiting for refund to be processed, in cents of euro
        createdAt:
          type: string
          description: the date of creation of the payment
        cancellationReason:
          type: string
          description: the reason of the cancellation
        failureReason:
          type: string
          description: the reason of the failure
        refunds:
          description: the refunds of the payment
          type: array
          items:
            $ref: '#/components/schemas/PaymentRefundDto'
        failedAt:
          type: string
          description: the date of the payment failure
      required:
        - metadata
        - type
        - id
        - status
        - paymentMode
        - paymentMethodId
        - amountInEuroCents
        - refundableAmount
        - amountRefunded
        - amountToRefund
        - createdAt
        - cancellationReason
        - failureReason
        - refunds
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page
    CustomerNotFoundDetailsDto:
      type: object
      properties:
        customerId:
          type: string
        branchId:
          type: string
        whenAt:
          type: string
        simulatedAt:
          type: string
      required:
        - customerId
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value
    PaymentRefundDto:
      type: object
      properties:
        refundId:
          type: string
          description: the id of the refund
        refundInvoiceId:
          type: string
          description: the id of the invoice leading to the refund
        amountInEuroCents:
          type: number
          description: amount refunded for the refundInvoiceId
        status:
          type: string
          description: refund status
          enum:
            - CREATED
            - SUCCEEDED
            - FAILED
            - CANCELLED
      required:
        - refundId
        - refundInvoiceId
        - amountInEuroCents
        - status
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://korint-tenant.auth.eu-west-3.amazoncognito.com/oauth2/token
          scopes:
            korint.io/account: Read account information
            korint.io/analytics: Access analytics endpoints
            korint.io/assets: Access asset endpoints
            korint.io/billing: Access billing endpoints
            korint.io/branches: Access branch endpoints
            korint.io/broker: Access broker endpoints
            korint.io/claims: Access claim endpoints
            korint.io/comments: Access comment endpoints
            korint.io/customers: Access customer endpoints
            korint.io/derogations: Access derogation endpoints
            korint.io/documents: Access document endpoints
            korint.io/external: Access external lookup endpoints
            korint.io/external-claims: Declare claims from an external system
            korint.io/internal-notes: Access internal note endpoints
            korint.io/invitations: Access invitation endpoints
            korint.io/payments: Access payment endpoints
            korint.io/permissions: Access permission management endpoints
            korint.io/policies: Access policy endpoints
            korint.io/quotes: Access quote endpoints
            korint.io/reportings: Access reporting endpoints
            korint.io/signature: Access signature endpoints
      description: >-
        Machine-to-machine clients use the OAuth 2.0 client credentials grant.
        Each tenant has its own authorization server: in the token URL below,
        replace `tenant` with your tenant identifier.
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: An access token obtained from your tenant authorization server.

````